using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;

namespace TreeViewSelfReferenceWCFService
{
	public class TableItem
	{
		private string text;
		private int nodeId;
		private int parentID;
		private List<TableItem> children;

		public TableItem(string Text,int NodeID,int ParentID)
		{
			this.text = Text;
			this.nodeId = NodeID;
			this.parentID = ParentID;

			this.children = new List<TableItem>();
		}

		public string Text
		{
			get 
			{
				return this.text;
			}
		}

		public int ParentID
		{
			get 
			{
				return this.parentID;
			}
		}

		public int NodeID
		{
			get
			{
				return this.nodeId;
			}
		}

		public List<TableItem> Children
		{
			get
			{
				return this.children;
			}
		}

	}
}
